<div class="main-container fullscreen">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-xl-5 col-lg-6 col-md-7">
        <h1 class="h2 text-center">Creer un compte Entreprise</h1>
        <p class="lead text-center">
          Inscrivez votre entreprise pour profiter de nos services
        </p>
        <hr />
        <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">
          <!-- Nom -->
          <div class="form-group">
            <label for="nomComplet">Nom de l'entreprise</label>
            <input class="form-control" formControlName="nomComplet" type="text" placeholder="Nom de votre entreprise" id="nomComplet" />
          </div>
          <!-- Chef ent -->
          <div class="form-group">
            <label for="chefEntreprise">Chef d'entreprise</label>
            <input class="form-control" formControlName="chefEntreprise" type="text" placeholder="Nom complet du responsable de l'entreprise" id="chefEntreprise" />
          </div>

          <!-- email -->
          <div class="form-group">
            <label for="email">Adresse Email</label>
            <input class="form-control" formControlName="email" type="email" placeholder="Adresse email" id="email" />
          </div>
          <!-- adresse -->
          <div class="form-group">
            <label for="adresseEntreprise">Adresse de l'entreprise</label>
            <textarea class="form-control" formControlName="adresseEntreprise" rows="3"
              placeholder="Adresse descriptif de votre entreprise" id="adresseEntreprise"></textarea>
          </div>

          <!-- contact -->
          <div class="form-group">
            <label for="telephone">Numero de téléphone</label>
            <input class="form-control" formControlName="telephone" type="text" placeholder="Numero de téléphone"
              id="telephone" />
          </div>

          <!-- mot de passe -->
          <div class="form-group">
            <label for="password">Mot de passe</label>
            <input class="form-control" formControlName="password" type="password" placeholder="Password" id="password" />
            <div class="text-left">
              <small>Votre mot de passe doit avoir au moins 8 caractères</small>
            </div>
          </div>

          <!-- avatar -->

          <div class="media mb-4">
            <img
              alt="Image"
              src="assets/dependencies/img/logo-color.svg"
              class="avatar avatar-lg"
            />
            <div class="media-body ml-3">
              <div class="custom-file custom-file-naked d-block mb-1">
                <input
                  type="file"
                  class="custom-file-input d-none"
                  id="avatar-file"
                />
                <label
                  class="custom-file-label position-relative"
                  for="avatar-file"
                >
                  <span class="btn btn-primary"> Ajouter un avatar </span>
                </label>
              </div>
              <small
                >Pour de meilleures resultats, utiliser une image d'au moins
                256px / 256px en format .jpg ou .png
              </small>
            </div>
          </div>

          <button class="btn btn-lg btn-block btn-primary" role="button" [disabled]="signupForm.invalid" type="submit">
            Creer le compte
          </button>
          <small
            >En cliquant vous acceptez nos
            <a href="#">conditions et politiques</a>
          </small>
        </form>
      </div>
    </div>
  </div>
</div>
